Bug 236573 - New port - net/onedrive: Microsoft OneDrive client
Summary: New port - net/onedrive: Microsoft OneDrive client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-16 13:47 UTC by Hiroo Ono
Modified: 2019-04-23 20:13 UTC (History)
2 users (show)

See Also:


Attachments
port of onedrive (10.29 KB, patch)
2019-03-16 13:47 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2019-03-16 13:47:59 UTC
Created attachment 202912 [details]
port of onedrive

Hello,

Attached is a port of OneDrive Free Client, A complete tool to interact with OneDrive on Linux.
The port is tested under FreeBSD stable/12 (amd64), with poudriere.
Synchronizing with my OneDrive account worked.
Comment 1 Kurt Jaeger freebsd_committer 2019-03-17 13:25:19 UTC
On 13-i386, building ldc fails:

https://people.freebsd.org/~pi/logs/ldc-1.14.0.log
Comment 2 Kurt Jaeger freebsd_committer 2019-03-17 13:29:01 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-03-17 13:29:50 UTC
A commit references this bug:

Author: pi
Date: Sun Mar 17 13:28:59 UTC 2019
New revision: 496060
URL: https://svnweb.freebsd.org/changeset/ports/496060

Log:
  New port: net/onedrive: Microsoft OneDrive client

  A complete tool to interact with OneDrive on Linux.
  Built following the UNIX philosophy.

  Features:
      State caching
      Real-Time file monitoring with Inotify
      Resumable uploads
      Support OneDrive for Business (part of Office 365)
      Shared folders (not Business)

  What's missing:
      While local changes are uploaded right away, remote changes are delayed
      No GUI

  WWW: https://github.com/skilion/onedrive

  PR:		236573
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com>

Changes:
  head/net/Makefile
  head/net/onedrive/
  head/net/onedrive/Makefile
  head/net/onedrive/distinfo
  head/net/onedrive/files/
  head/net/onedrive/files/freebsd_inotify.d
  head/net/onedrive/files/patch-Makefile
  head/net/onedrive/files/patch-src_monitor.d
  head/net/onedrive/files/version
  head/net/onedrive/pkg-descr
  head/net/onedrive/pkg-plist
Comment 4 Hiroo Ono 2019-03-17 14:03:04 UTC
(In reply to Kurt Jaeger from comment #1)

Thank you for committing this.
Just to leave a note on the D compilers current status:

dmd2 is broken.
ldc seems to be built only on amd64.
dmd1 can be built on i386 and amd64, but it is a 32bit application and requires 32bit libstdc++. I did not know how to install 32bit gcc inside poudriere/amd64.

Maybe, I should have set dmd1 on i386 and ldc on amd64 as the D compiler, and broken for other architectures. Instead, I made it an option and set ldc for default.
Comment 5 freenasuser 2019-04-23 14:16:52 UTC
The source code repo from skilion seems to have been superceded by this one:
https://github.com/abraunegg/onedrive
Are you able to update the port to use the new repo?
Comment 6 Kurt Jaeger freebsd_committer 2019-04-23 14:27:44 UTC
(In reply to freenasuser from comment #5)

Can you submit a patch in a new problem report ?

It's also an upgrade from 1.1.3 to 2.3.3 or so ?
Comment 7 Hiroo Ono 2019-04-23 20:05:28 UTC
I will make a patch. Should I file a new PR or just reopen this one?
Comment 8 Kurt Jaeger freebsd_committer 2019-04-23 20:13:39 UTC
(In reply to Hiroo Ono from comment #7)
Please make a new PR for the update. Thanks!